<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_task_create_params_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_task_create_params_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__task.html">Task APIs</a>]</small>
</h1><!-- doxytag: class="tivx_task_create_params_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Parameters that can be set during task creation. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint8_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task__create__params__t.html#ad87c180197353f9dec4b669e44107973">stack_ptr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to task stack, if NULL then task stack is allcoated by OS and not supplied by user.  <a href="#ad87c180197353f9dec4b669e44107973"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task__create__params__t.html#a16e1be05aecd68d7cbdd094e88691bb6">stack_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Task stack size, if 0, OS allocates stack with default size.  <a href="#a16e1be05aecd68d7cbdd094e88691bb6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task__create__params__t.html#af0bee71102e9c0fb203969143d1445fe">core_affinity</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">If task runs on a SMP CPU then this value tells the affinity of task to a given core, Valid values are 0 .. max cores in the SMP CPU. when TIVX_TASK_AFFINITY_ANY is used OS decides the task affinity.  <a href="#af0bee71102e9c0fb203969143d1445fe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task__create__params__t.html#a04abcf53ea3bdac1892e31688115af37">priority</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">task priority for task associated with this target TIVX_TASK_PRI_HIGHEST is highest priority, TIVX_TASK_PRI_LOWEST is lowest priority  <a href="#a04abcf53ea3bdac1892e31688115af37"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__target.html#ga764deb8ef94df7eab04d438ad221276a">tivx_task_main_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task__create__params__t.html#afabb86fedec11ed49eab78c70fec1692">task_main</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Entry point for task.  <a href="#afabb86fedec11ed49eab78c70fec1692"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task__create__params__t.html#abab96569d42e5c46ddfe87a9961bca5b">app_var</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">private app object  <a href="#abab96569d42e5c46ddfe87a9961bca5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task__create__params__t.html#ad5b5eb3590846650056dc3968d3573c2">task_name</a> [TIVX_MAX_TASK_NAME]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Task Name.  <a href="#ad5b5eb3590846650056dc3968d3573c2"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="ad87c180197353f9dec4b669e44107973"></a><!-- doxytag: member="tivx_task_create_params_t::stack_ptr" ref="ad87c180197353f9dec4b669e44107973" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* <a class="el" href="structtivx__task__create__params__t.html#ad87c180197353f9dec4b669e44107973">tivx_task_create_params_t::stack_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to task stack, if NULL then task stack is allcoated by OS and not supplied by user. </p>

</div>
</div>
<a class="anchor" id="a16e1be05aecd68d7cbdd094e88691bb6"></a><!-- doxytag: member="tivx_task_create_params_t::stack_size" ref="a16e1be05aecd68d7cbdd094e88691bb6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__task__create__params__t.html#a16e1be05aecd68d7cbdd094e88691bb6">tivx_task_create_params_t::stack_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Task stack size, if 0, OS allocates stack with default size. </p>

</div>
</div>
<a class="anchor" id="af0bee71102e9c0fb203969143d1445fe"></a><!-- doxytag: member="tivx_task_create_params_t::core_affinity" ref="af0bee71102e9c0fb203969143d1445fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__task__create__params__t.html#af0bee71102e9c0fb203969143d1445fe">tivx_task_create_params_t::core_affinity</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>If task runs on a SMP CPU then this value tells the affinity of task to a given core, Valid values are 0 .. max cores in the SMP CPU. when TIVX_TASK_AFFINITY_ANY is used OS decides the task affinity. </p>

</div>
</div>
<a class="anchor" id="a04abcf53ea3bdac1892e31688115af37"></a><!-- doxytag: member="tivx_task_create_params_t::priority" ref="a04abcf53ea3bdac1892e31688115af37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__task__create__params__t.html#a04abcf53ea3bdac1892e31688115af37">tivx_task_create_params_t::priority</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>task priority for task associated with this target TIVX_TASK_PRI_HIGHEST is highest priority, TIVX_TASK_PRI_LOWEST is lowest priority </p>

</div>
</div>
<a class="anchor" id="afabb86fedec11ed49eab78c70fec1692"></a><!-- doxytag: member="tivx_task_create_params_t::task_main" ref="afabb86fedec11ed49eab78c70fec1692" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__target.html#ga764deb8ef94df7eab04d438ad221276a">tivx_task_main_f</a> <a class="el" href="structtivx__task__create__params__t.html#afabb86fedec11ed49eab78c70fec1692">tivx_task_create_params_t::task_main</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Entry point for task. </p>

</div>
</div>
<a class="anchor" id="abab96569d42e5c46ddfe87a9961bca5b"></a><!-- doxytag: member="tivx_task_create_params_t::app_var" ref="abab96569d42e5c46ddfe87a9961bca5b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structtivx__task__create__params__t.html#abab96569d42e5c46ddfe87a9961bca5b">tivx_task_create_params_t::app_var</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>private app object </p>

</div>
</div>
<a class="anchor" id="ad5b5eb3590846650056dc3968d3573c2"></a><!-- doxytag: member="tivx_task_create_params_t::task_name" ref="ad5b5eb3590846650056dc3968d3573c2" args="[TIVX_MAX_TASK_NAME]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char <a class="el" href="structtivx__task__create__params__t.html#ad5b5eb3590846650056dc3968d3573c2">tivx_task_create_params_t::task_name</a>[TIVX_MAX_TASK_NAME]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Task Name. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
